package com.bonus.canteen.core.order.deprecated.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.customer.vo.CustPlaceListDutyAreaVO;
import com.bonus.canteen.core.order.deprecated.dto.MacMarketNotWriteOffDTO;
import com.bonus.canteen.core.order.deprecated.dto.MacMarketOrdDTO;
import com.bonus.canteen.core.order.deprecated.dto.MacOrdRefundQueryDTO;
import com.bonus.canteen.core.order.deprecated.model.OrdAppInfo;
import com.bonus.canteen.core.order.deprecated.param.MacOrdParam;
import com.bonus.canteen.core.order.deprecated.param.OrdMachineParam;
import com.bonus.canteen.core.order.deprecated.param.OrdParam;
import com.bonus.canteen.core.order.deprecated.vo.*;
import com.bonus.canteen.core.order.weight.dto.QueryWeighBindDetailDTO;

import java.util.List;

/** @deprecated */
@Deprecated
public interface OrdAppInfoService extends IService<OrdAppInfo> {
   List<AppDtlOrdDetailVO> getAppDtlOrdDetail(String openId, String macOrdId, QueryWeighBindDetailDTO param);

   List<OrdAssignSrcMacVO> getOrderListForAndroid(MacOrdParam macOrdParam);

   List<OrdAssignSrcMacVO> getOrderShopListForAndroid(MacOrdParam macOrdParam);

   OrdCurrentReserveMacVO getReserveOrderListForAndroid(MacOrdParam macOrdParam);

   List<OrdAssignSrcMacOldVO> queryOrdListBySn(MacOrdRefundQueryDTO ordRefundQueryDTO);

   Page<OrdInfoVO> queryPageOrdInfoDetail(Page<?> page, OrdParam ordParam);

   Page<OrdInfoVO> queryPageOrdInfoMachine(Page<OrdInfoVO> pageParam, OrdMachineParam ordMachineParam);

   Page<MacMarketOrdInfoVO> pageMacOrdInfoDetailByConditon(MacMarketOrdDTO marketOrdDTO);

   Page<MacMarketOrdInfoVO> pageMacOrdInfoNotWriteOff(MacMarketNotWriteOffDTO marketOrdDTO);
}
